# JsonBuilder (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.nms

## Class JsonBuilder

- java.lang.Object
- - de.epiceric.shopchest.nms.JsonBuilder

    public class JsonBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JsonBuilder(ShopChest plugin, String text, String hoverText, String downloadLink)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `sendJson(org.bukkit.entity.Player p)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JsonBuilder

    public JsonBuilder(ShopChest plugin,
                       String text,
                       String hoverText,
                       String downloadLink)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### sendJson

    public void sendJson(org.bukkit.entity.Player p)